IRPCApplicationTaskQueue.GetLatestBroadcastMessageIdentifiers

View as Markdown

Server integration API / specialized write session

Gets the ID of the newest broadcast message of each given queue.

ServiceApplication task queue MFiles.IRPCApplicationTaskQueue
gRPC method/MFiles.IRPCApplicationTaskQueue/GetLatestBroadcastMessageIdentifiers
HTTP (mf-http-grpc)POST /grpc/v1/get-latest-broadcast-message-identifiers
RequestGetLatestBroadcastMessageIdentifiersRequest
ResponseGetLatestBroadcastMessageIdentifiersResponse
Book and levelServer integration API, specialized
Kindwrite
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentno
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: GetLatestBroadcastMessageIdentifiersRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
queue_id_collection[]repeated stringThe IDs of the queues.

Response: GetLatestBroadcastMessageIdentifiersResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
task_id_collection[]repeated stringThe IDs of the newest broadcast messages.